Name:          lxqt-archiver
Version:       0.8.0
Release:       1mamba
Summary:       A simple & lightweight Qt file archiver
Group:         Graphical Desktop/Applications/Utilities
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           https://github.com/lxqt/lxqt-archiver
Source:        https://github.com/lxqt/lxqt-archiver.git/%{version}/lxqt-archiver-%{version}.tar.bz2
License:       GPL
## AUTOBUILDREQ-BEGIN
BuildRequires: glibc-devel
BuildRequires: libQt5X11Extras-devel
BuildRequires: libexif-devel
BuildRequires: libfm-qt-devel
BuildRequires: libgcc
BuildRequires: libglib-devel
BuildRequires: libjson-glib-devel
BuildRequires: libmenu-cache-devel
BuildRequires: libstdc++6-devel
BuildRequires: libxcb-devel
BuildRequires: qt5-qtbase-devel
## AUTOBUILDREQ-END
BuildRequires: libfm-qt-devel >= 0.17.1
BuildRequires: cmake

%description
A simple & lightweight Qt file archiver.

%debug_package

%prep
%setup -q

%build
%cmake -d build
%make

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
%makeinstall -C build

find %{buildroot}%{_datadir}/*/translations/ -name *.qm | \
while read line; do
  bn=`echo ${line}|cut -d_ -f2-3`
  echo "%lang(${bn/.*}) ${line/*-root}" >> %{name}.lang
done

%clean
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"

%files -f %{name}.lang
%defattr(-,root,root)
%{_bindir}/lxqt-archiver
#%{_prefix}/libexec/lxqt-archiver/isoinfo.sh
#%{_prefix}/libexec/lxqt-archiver/rpm2cpio
%{_datadir}/applications/lxqt-archiver.desktop
%{_datadir}/icons/hicolor/scalable/apps/lxqt-archiver.svg
%doc AUTHORS LICENSE

%changelog
* Fri Apr 21 2023 Automatic Build System <autodist@mambasoft.it> 0.8.0-1mamba
- automatic version update by autodist

* Sat Nov 12 2022 Automatic Build System <autodist@mambasoft.it> 0.7.0-1mamba
- automatic version update by autodist

* Tue Apr 19 2022 Automatic Build System <autodist@mambasoft.it> 0.6.0-1mamba
- automatic version update by autodist

* Mon Nov 22 2021 Automatic Build System <autodist@mambasoft.it> 0.5.0-1mamba
- automatic version update by autodist

* Mon Apr 19 2021 Automatic Build System <autodist@mambasoft.it> 0.4.0-1mamba
- automatic version update by autodist

* Tue Nov 10 2020 Silvan Calarco <silvan.calarco@mambasoft.it> 0.3.0-1mamba
- update to 0.3.0

* Sat Oct 03 2020 Silvan Calarco <silvan.calarco@mambasoft.it> 0.2.0-1mamba
- package created using the webbuild interface
